Subject: bug#61454: closed (Re: [bug#61454] [PATCH 0/5] Expose upstream linux sources)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 Feb 2023 19:24:02 +0000

Your bug report

#61454: [PATCH 0/5] Expose upstream linux sources

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61454: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61454
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#61454] [PATCH 0/5] Expose upstream linux sources
From: Jelle Licht <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked]
Date: Sun, 12 Feb 2023 20:23:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tobias,

Tobias Geerinckx-Rice <[email-masked]> writes:

> Hi Jelle!
>
> [email-masked] 写道：
>> * Is this fundamentally going to be an issue with the FSDG?
>
> I can't think of a reading of the FSDG where it is not against 
> both the letter and the spirit.
>
> Guix already ventures close to the edge; this would push us clean 
> over.

Fair enough. I'll go ahead and assume that any "workaround" using public
bindings exposed by guix can be considered a bug, later to be addressed
by guix in order to prevent similar situations.

>> * This is the 'dumb' solution; alternatively, I was thinking of 
>> introducing a
>>   record to unify all the moving parts (the upstream sources, 
>>   the deblob
>>   scripts) involved in building our linux-libre kernels.
>
> I'm not sure this will suit your purposes any better without 
> amounting to the same thing.

It does, so never mind!

Thanks for your input,
- Jelle

Subject: [PATCH 0/5] Expose upstream linux sources
From: [email-masked]
To: [email-masked]
Cc: Jelle Licht <[email-masked]>
Date: Sun, 12 Feb 2023 16:39:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Jelle Licht <[email-masked]>

Hey guix,

This patch series should not lead to any rebuilds.  The aim is to expose the
used linux upstream sources, for use by custom local packages or external
channels.

Two main concerns I still have:
* Is this fundamentally going to be an issue with the FSDG? 
* This is the 'dumb' solution; alternatively, I was thinking of introducing a
  record to unify all the moving parts (the upstream sources, the deblob
  scripts) involved in building our linux-libre kernels. That bigger change is
  ideally something we achieve consensus on before writing some code.

Jelle Licht (5):
  gnu: linux-libre 4.14: Expose upstream sources.
  gnu: linux-libre 4.19: Expose upstream sources.
  gnu: linux-libre 5.10: Expose upstream sources.
  gnu: linux-libre 5.15: Expose upstream sources.
  gnu: linux-libre 6.1: Expose upstream sources.

 gnu/packages/linux.scm | 47 ++++++++++++++++++++++++------------------
 1 file changed, 27 insertions(+), 20 deletions(-)

base-commit: fb9799ff5f1d90a443dc197535c48041ad6b3865
-- 
2.39.1